<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TMapMapper">


    <select id="getListPage" resultType="cn.iocoder.yudao.module.knowledge.entity.TMap">
        SELECT
        id AS id,
        `name` AS `name`,
        model_tag AS modelTag,
        creator AS creator,
        creator_id AS creatorId,
        create_time AS createTime,
        update_time AS updateTime,
        map_image AS mapImage
        FROM
        t_map
        WHERE
        deleted = 0
        <if test="dto.name != '' and dto.name != null">
            AND `name` LIKE CONCAT( '%',#{dto.name}, '%')
        </if>
        ORDER BY
            create_time DESC
    </select>



</mapper>
